/* #WPML Language Buttons
================================================== */

.wpml-ls-slot-shortcode_actions .wpml-ls-link {
	font-weight:300;
	padding:5px;
}


/* #Main Menu
================================================== */

.header-main-menu {
	position:fixed;
    display:block;
	top:0;
	left:0;
	width:100%;
	height:80px;
	margin:0;
	padding:0;
	background:rgba(255,255,255,0);
    z-index:900;
    
    -webkit-transition:all 300ms ease;
    -moz-transition:all 300s ease;
    transition:all 300ms ease;
}

.header-main-menu.scroll-up {
    -webkit-transform:translateY(-80px);
    -moz-transform:translateY(-80px);
    transform:translateY(-80px);
}

.header-main-menu.colored-menu {
    background:rgba(255,255,255,1);
	
	-webkit-box-shadow:0 0 10px rgba(0,0,0,0.2);
	-moz-box-shadow:0 0 10px rgba(0,0,0,0.2);
	box-shadow:0 0 10px rgba(0,0,0,0.2);
}

.site-header-logo {
	display:block;
	position:absolute;
	top:29px;
	left:50px;
	width:300px;
	height:21px;
	
	background-image: url(../assets/graphics/logo_harald_bluechel_light.svg);
	background-repeat:no-repeat;
	background-position:center center;
	
	-webkit-background-size:cover;
	-moz-background-size:cover;
	background-size:cover;
	
	overflow:hidden;
	
	z-index:910;
}

body.home .site-header-logo {
	display:none;
}

.header-main-menu.colored-menu .site-header-logo,
body.home .header-main-menu.colored-menu .site-header-logo {
	display:block;
	background-image:url(../assets/graphics/logo_harald_bluechel_dark.svg);
}

a {
	cursor: pointer;
}

a:hover {
	text-decoration: none;
}



/* #Cursor
================================================== */
/*
.cursor,
.cursor2,
.cursor3 {
	position: fixed;
	border-radius: 50%;	
	transform: translateX(-50%) translateY(-50%);
	pointer-events: none;
	left: -100px;
	top: 50%;
	mix-blend-mode: difference;
	-webkit-transition: all 300ms linear;
	transition: all 300ms linear;
}

.cursor {
	background-color: #fff;
	height: 0;
	width: 0;
	z-index: 9999;
}

.cursor2, .cursor3 {
	height: 36px;
	width: 36px;
	z-index:9998;
	-webkit-transition:all 0.3s ease-out;
	transition:all 0.3s ease-out
}

.cursor2.hover,
.cursor3.hover {
	-webkit-transform:scale(2) translateX(-25%) translateY(-25%);
	transform:scale(2) translateX(-25%) translateY(-25%);
	border:none
}
.cursor2 {
	border: 2px solid #fff;
	box-shadow: 0 0 22px rgba(255, 255, 255, 0.6);
}
.cursor2.hover{
	background: rgba(255,255,255,1);
	box-shadow: 0 0 12px rgba(255, 255, 255, 0.2);
}

@media screen and (max-width: 1024px) {
	.cursor,.cursor2,.cursor3 {
		display: none
	}
}

body.elementor-editor-active .cursor,
body.elementor-editor-active .cursor2,
body.elementor-editor-active .cursor3 {
	display: none;
}
*/


/* #Primary style
================================================== */

.section {
    position: relative;
	width: 100%;
	display: block;
}
.over-hide{
	overflow: hidden;
}
.full-height {
	height: 100vh;
}



/* #Navigation
================================================== */

.icon-text {
	position:fixed;
	top:42px;
	right:-9999px;
	color:var(--habl-white);
	font-size:32px;
	font-weight:600;
	line-height:1;
	letter-spacing:1px;
	opacity:0;
	visibility:hidden;
	transition:opacity 400ms ease-in-out, transform 200ms ease-in-out;
	transform:translateX(5px);
}

@media screen and (min-width: 769px) {
	.icon-wrapper:hover > .icon-text {
		right:240px;
		visibility:visible;
		opacity:1;
		transform:translateX(0px);
	}
}


.close-overlay {
	position: absolute;
	display: inline-block;
	top: 26px;
	right: 50px;
	height: 36px;
	width: 36px;
	line-height: 38px;
	z-index: 965;
	cursor: pointer;
	opacity: 0;
	transition: opacity 0.2s ease-out;
}

.close-overlay:before,
.close-overlay:after {
  transform: rotate(-45deg);
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -5px;
  margin-left: -19px;
  display: block;
  height: 2px;
  width: 36px;
  transition: all 0.2s ease-out;
}
.close-overlay:after {
  transform: rotate(45deg);
}
.close-overlay:hover:before,
.close-overlay:hover:after {
  transform: rotate(0deg);
}

.close-overlay.dark:before,
.close-overlay.dark:after {
	background-color: var(--habl-secondary);
}

.close-overlay.light:before,
.close-overlay.light:after {
	background-color: var(--habl-white);
}


.menu-icon-wrapper { 
	position: absolute;
	display: block;
	top: 26px;
	right: 50px;
	z-index: 920;
}

.menu-icon {
	height: 28px;
	width: 36px;
	position: relative;
	cursor: pointer;
	display: block;
}

.menu-icon__line {
	height: 2px;
	width: 36px;
	display: block;
	background-color: var(--habl-white);
	margin-bottom: 11px;
	cursor: pointer;
	-webkit-transition: background-color .4s ease, -webkit-transform .2s ease;
	transition: background-color .4s ease, -webkit-transform .2s ease;
	transition: transform .2s ease, background-color .5s ease;
	transition: transform .2s ease, background-color .5s ease, -webkit-transform .2s ease;
}

.menu-icon__line-left {
	width: 20px;
	-webkit-transition: width 200ms ease-in-out, background-color .4s ease;
	transition: width 200ms ease-in-out, background-color .4s ease;
}
.menu-icon__line-right {
	width: 20px;
	float: right;
	-webkit-transition: width 200ms ease-in-out, background-color .4s ease;
	transition: width 200ms ease-in-out, background-color .4s ease;
}

.menu-icon:hover .menu-icon__line-left,
.menu-icon:hover .menu-icon__line-right {
	width: 36px;
}



/* WPML LANGUAGE SWITCHER
=============================== */

.lang-icon-wrapper {
	position: absolute;
	display: block;
	visibility: visible;
	top: 26px;
	right: 208px;
	margin: 0;
	padding: 0;
	cursor: pointer;
	z-index: 920;
}

.lang-icon-wrapper .wpml-ls {
	padding:0;
	border-width:0px;
}


.lang-icon-wrapper .wpml-ls .wpml-ls-item {	
/*	border-radius: 100%;
	border: 1.5px solid var(--habl-white);	*/
	width: 30px;
	height: 30px;
	display: flex;
	justify-content: center;
	align-items: center;
	transition:all 200ms ease-in-out;
}
.lang-icon-wrapper .wpml-ls .wpml-ls-item .wpml-ls-link {	
	font-size: 14px;
	font-weight: 300;
	color: var(--habl-white);
	transition:all 200ms ease-in-out;
}

/*
.lang-icon-wrapper .wpml-ls .wpml-ls-item:hover {	
	border: 1.5px solid var(--habl-accent-light);
}
*/
.lang-icon-wrapper .wpml-ls .wpml-ls-item:hover .wpml-ls-link {	
	color:var(--habl-accent-light);
}

/*
.header-main-menu.colored-menu .lang-icon-wrapper .wpml-ls .wpml-ls-item {
	border: 1.5px solid var(--habl-secondary);
}
*/
.header-main-menu.colored-menu .lang-icon-wrapper .wpml-ls .wpml-ls-item .wpml-ls-link {
	color: var(--habl-secondary);
}

/*
.header-main-menu.colored-menu .lang-icon-wrapper .wpml-ls .wpml-ls-item:hover {
	border: 1.5px solid var(--habl-accent-light);
}
*/
.header-main-menu.colored-menu .lang-icon-wrapper .wpml-ls .wpml-ls-item:hover .wpml-ls-link {
	color: var(--habl-accent-light);
}



.search-icon-wrapper {
	position: absolute;
	display: block;
	visibility:visible;
	top: 24px;
	right: 110px;
	margin: 0;
	padding: 0;
 	cursor: pointer;
 	z-index: 920;
}

.search-icon {
	width:32px;
	height:32px;
	fill:var(--habl-white);
	transition:all 200ms ease-in-out;
	transform-origin:center center;
}

.search-icon-wrapper:hover .search-icon,
.header-main-menu.colored-menu .search-icon-wrapper:hover .search-icon {
	fill:var(--habl-accent-light);
}


.header-main-menu.colored-menu .menu-icon__line {
	background-color:var(--habl-secondary);
}

.header-main-menu.colored-menu .lang-icon,
.header-main-menu.colored-menu .search-icon {
	fill:var(--habl-secondary);
}

.header-main-menu.colored-menu .icon-text {
	color:var(--habl-secondary);
}


/* elementor cart icon */

.header-main-menu.colored-menu .elementor-menu-cart__toggle_button .elementor-button-icon .e-toggle-cart-custom-icon,
.header-main-menu.colored-menu .elementor-menu-cart__toggle_button .elementor-button-icon .elementor-button-icon-qty {
	color:var(--habl-secondary) !important;
}

.elementor-menu-cart__toggle_button:hover .elementor-button-icon .elementor-button-icon-qty,
.header-main-menu.colored-menu .elementor-menu-cart__toggle_button:hover .elementor-button-icon .e-toggle-cart-custom-icon,
.header-main-menu.colored-menu .elementor-menu-cart__toggle_button:hover .elementor-button-icon .elementor-button-icon-qty {
	color:var(--habl-accent-light) !important;
}

.menu-icon-wrapper.disabled,
.lang-icon-wrapper.disabled,
.search-icon-wrapper.disabled,
.cart-icon-wrapper.disabled {
	opacity:0;
	visibility:hidden;
}



/* #Overlay
================================================== */

.habl-main-nav,
.habl-main-search {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 960;
}

.nav-overlay,
.search-overlay {
	position: fixed;
	width: 100vw;
	height: 100vh;
	border-bottom-left-radius: 200%;
	z-index: 950;
	-webkit-transition: -webkit-transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, border-radius linear 0.8s;
	transition: -webkit-transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, border-radius linear 0.8s;
	transition: transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, border-radius linear 0.8s;
	transition: transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, -webkit-transform cubic-bezier(0.77, 0, 0.175, 1) 0.6s, border-radius linear 0.8s;
	-webkit-transform: translateX(100%) translateY(-100%);
          transform: translateX(100%) translateY(-100%);
		  
	-webkit-transition-delay: .2s;
          transition-delay: .2s;
}

.nav-overlay {
	background: var(--habl-secondary);
}

.search-overlay {
	background: var(--habl-secondary);
}

.nav__content,
.search__content {
	position: fixed;
	visibility: hidden;
/*	text-align: center;	*/
}
.nav__content {
	top: 50%;
	width: 100%;
	-webkit-transform: translate(0%, -50%);
	transform: translate(0%, -50%);
}
.search__content {
	top: 28px;
	left: 50%;
	opacity:0;
	-webkit-transition: opacity .4s ease;
	transition: opacity .4s ease;
	-webkit-transform: translateX(-50%);
	transform: translateX(-50%);
}
.search__content input:focus {
	outline:none;
}

.nav__list {
	position: relative;
	padding: 0;
	margin: 0;
	z-index: 965;
}

.nav__list-item {
	position: relative;
	display: block;
	opacity: 0;
	text-align: right;
	overflow: hidden;
	padding: 3px 50px;
	line-height: 1.15;
	-webkit-transform: translate(100px, 0%);
	transform: translate(100px, 0%);
	
	-webkit-transition: opacity .2s ease, -webkit-transform .3s ease;
	transition: opacity .2s ease, transform .3s ease, -webkit-transform .3s ease;
	transition: opacity .2s ease, -webkit-transform .3s ease;
	transition: opacity .2s ease, transform .3s ease;
	
	z-index: 970;
}

.nav__list-item > a { 
	position: relative;
	text-decoration: none;
/*	font-family: Helvetica, sans-serif;	*/
	font-weight: 100 !important;
	font-size: 8vh;
	letter-spacing: 5px;
	overflow: hidden; 
	cursor: pointer;
	z-index: 975;
	display: inline-block;
}

.nav__list-item > a { 
    -webkit-transition: color 200ms linear;
    transition: color 200ms linear; 
}

.nav__list-item a {
	color: rgba(255,255,255,1) !important;
}

.nav__list-item a:hover {
	color: var(--habl-accent-light) !important;
}
/*
.nav__list:hover .nav__list-item:not(:hover) {
  opacity: 0.1;
}
*/

/*
.nav__list-item.active-nav a{
	color: rgba(255,255,0,1);
}
*/


/* dropdown menu */
.nav__list-sub {
  opacity: 0;
  max-height: 0;
  position: relative;
  transition: opacity 200ms linear, max-height 500ms ease-in-out;
  width: 100%;
  margin: 0 auto;
  padding: 0;
  display: block;
  overflow: hidden;
}

.nav__list-item:hover > .nav__list-sub {
  opacity: 1;
  max-height: 100px;
}

.nav__list-sub .nav__list-item-sub {
	list-style: none;
	display: inline-block;
}

.nav__list-sub .nav__list-item-sub:not(:last-child)::after {
	content:"|";
	margin-left:3px;
	color:var(--habl-white);
}

.nav__list-sub .nav__list-item-sub a {
/*	font-family: 'Inter Tight', sans-serif;	*/
    font-weight: 200 !important;
    font-size: 2.4vh;
	text-transform: lowercase;
	letter-spacing: 1px;
	padding:0 8px 12px 8px;
	
	-webkit-transition: color 200ms linear;
    transition: color 200ms linear; 
}

.nav__list-sub .nav__list-item-sub:last-child a {
	padding-right:0;
}

.nav__list-sub .nav__list-item-sub a:hover {
	color: var(--habl-accent-light) !important;
}


/* #Active State
================================================== */

body.nav-active .close-overlay,
body.search-active .close-overlay {
	opacity:1;
	-webkit-transition-delay: 0.7s;
	transition-delay: 0.7s;
}

body.nav-active,
body.search-active {
	overflow:hidden;
}

body.nav-active .nav__content,
body.search-active .search__content {
	visibility: visible;
}

body.nav-active .nav-overlay,
body.search-active .search-overlay {
	-webkit-transform: translateX(0%) translateY(0%);
	transform: translateX(0%) translateY(0%);
	border-radius: 0;
	
	-webkit-transition-delay: 0s;
	transition-delay: 0s;
}

body.search-active .search__content {
	opacity:1;
	-webkit-transition-delay: 0.7s;
	transition-delay: 0.7s;
}

body.nav-active .nav__list-item {
	opacity: 1;
	-webkit-transform: translateX(0%);
	transform: translateX(0%);
	-webkit-transition: opacity .3s ease, color .3s ease, -webkit-transform .3s ease;
	transition: opacity .3s ease, color .3s ease, -webkit-transform .3s ease;
	transition: opacity .3s ease, transform .3s ease, color .3s ease;
	transition: opacity .3s ease, transform .3s ease, color .3s ease, -webkit-transform .3s ease;
}

body.nav-active .nav__list-item:nth-child(0) {
	-webkit-transition-delay: 0.7s;
	transition-delay: 0.7s;
}
body.nav-active .nav__list-item:nth-child(1) {
	-webkit-transition-delay: 0.8s;
	transition-delay: 0.8s;
}
body.nav-active .nav__list-item:nth-child(2) {
	-webkit-transition-delay: 0.9s;
	transition-delay: 0.9s;
}
body.nav-active .nav__list-item:nth-child(3) {
	-webkit-transition-delay: 1s;
	transition-delay: 1s;
}
body.nav-active .nav__list-item:nth-child(4) {
	-webkit-transition-delay: 1.1s;
	transition-delay: 1.1s;
}
body.nav-active .nav__list-item:nth-child(5) {
	-webkit-transition-delay: 1.2s;
	transition-delay: 1.2s;
}
body.nav-active .nav__list-item:nth-child(6) {
	-webkit-transition-delay: 1.3s;
	transition-delay: 1.3s;
}
body.nav-active .nav__list-item:nth-child(7) {
	-webkit-transition-delay: 1.4s;
	transition-delay: 1.4s;
}
body.nav-active .nav__list-item:nth-child(8) {
	-webkit-transition-delay: 1.5s;
	transition-delay: 1.5s;
}
body.nav-active .nav__list-item:nth-child(9) {
	-webkit-transition-delay: 1.6s;
	transition-delay: 1.6s;
}
body.nav-active .nav__list-item:nth-child(10) {
	-webkit-transition-delay: 1.7s;
	transition-delay: 1.7s;
}
